org.apache.ignite.internal

## Class IgniteProperties

- java.lang.Object
- - org.apache.ignite.internal.IgniteProperties

    public class IgniteProperties
    extends Object

Ignite properties holder.

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `get(String key)` Gets property value.
`static void` `readProperties(String path, Properties props, boolean throwExc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### readProperties

    public static void readProperties(String path,
                                      Properties props,
                                      boolean throwExc)

Parameters:
  `path` - Path.
  `props` - Properties.
  `throwExc` - Flag indicating whether to throw an exception or not.

#### get

    public static String get(String key)

Gets property value.

Parameters:
  `key` - Property key.
Returns:
  Property value (possibly empty string, but never `null`).

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018